baseURL: "https://axs.sdf.org/"
languageCode: en
title: Andrew Stryker
theme: PaperMod

enableRobotsTXT: true

params:
  description: Just a great personal website

  # PaperMod settings
  ShowReadingTime: true
  ShowCodeCopyButtons: true

  assets:
    disableFingerprinting: true

    # using Chroma highlighting...
    disableHLHS: true

  # where to find articles
  # https://gohugo.io/functions/collections/where/#mainsections
  #mainSections:
  #  - posts
  #  - about
  #  - projects
  #  - tutorials

  # Profile Mode
  # https://github.com/adityatelange/hugo-PaperMod/wiki/Features#profile-mode
  #
  # This places an image, a menu, social icons, buttons, and a title plus
  # a footer on each page. You do not get a place for text--igores content/_index.md
  profileMode:
    enabled: true
    title: Andrew Stryker
    subtitle: Data & Analytics · Unix · Leadership · Writing
    imageUrl: stryker-andrew-headshot-bw.jpeg
    imageTitle: Me
    imageWidth: 120
    imageHeight: 120

    buttons:
      - name: About
        url: "/about"
      - name: Posts
        url: "/posts"

  homeInfoParams:
    Title: Personal Website
    Content: >
      Fun times for all!

  socialIcons:
    - name: linkedin
      url: "https://www.linkedin.com/in/andrewjstryker"
    - name: github
      url: "https://github.com/andrewjstryker"
    - name: mastodon
      url: "https://mastodon.sdf.org/@axs"
    - name: email
      url: "mailto:andrewjstryker@proton.me"

markup:

  # Chroma highlighting
  # See:
  # https://github.com/adityatelange/hugo-PaperMod/wiki/FAQs#using-hugos-syntax-highlighter-chroma
  # https://gohugo.io/getting-started/configuration-markup/#highlight
  highlight:
    # anchorLineNos: true
    codeFences: true
    guessSyntax: true
    lineNos: true
    # noClasses: false
    # https://gohugo.io/content-management/syntax-highlighting/#generate-syntax-highlighter-css
    style: solarized-dark
  # https://gohugo.io/getting-started/configuration-markup/#table-of-contents

# module:
#   imports:
#     - disable: true
#       path: github.com/hugomods/shortcodes
#     - path: github.com/adityatelange/hugo-PaperMod

menu:
  main:
    - identifier: about
      name: About
      url: /about/
      weight: 10
        #- identifier: categories
        #  name: Categories
        #  url: /categories/
        #  weight: 20
        #- identifier: tags
        #  name: Tags
        #  url: /tags/
        #  weight: 30
    - identifier: posts
      name: Posts
      url: /posts/
      weight: 40
